Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.management.beans
Class ServiceAccountConfig

    java.lang.Object
      com.bea.dsp.management.beans.ServiceAccountConfig

All Implemented Interfaces:
  Validatable, java.io.Serializable

Direct Known Subclasses:
  MappedServiceAccountConfig, StaticServiceAccountConfig

    public abstract class ServiceAccountConfig

extends java.lang.Object
implements Validatable, java.io.Serializable

See Also:
  Serialized Form

Nested Class Summary
`static class` | `ServiceAccountConfig.Password`
`static class` | `ServiceAccountConfig.Type`

Constructor Summary
`protected` | `ServiceAccountConfig(java.lang.String name)`

Method Summary
`java.lang.String` | `getDescription()` Returns the description set for this service account.
`java.lang.String` | `getName()` Returns the name of the service account.
`abstract ServiceAccountConfig.Type` | `getType()`
`void` | `setDescription(java.lang.String description)`
`void` | `validate()` Validates bean specific attributes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceAccountConfig

    protected ServiceAccountConfig(java.lang.String name)

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the service account. Name of a service account must be unique within a dataspace.

  Returns:
    name of the service account.

### getDescription

    public java.lang.String getDescription()

  Returns the description set for this service account. This may be null

  Returns:

### setDescription

    public void setDescription(java.lang.String description)

### getType

    public abstract ServiceAccountConfig.Type getType()

### validate

    public void validate()
                  throws ValidationException

  Description copied from interface: `Validatable`
  Validates bean specific attributes.

  Specified by:
    `validate` in interface `Validatable`
  Throws:
    `ValidationException` - if the validation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.